/*
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
**
**
** map002.cpp
**
** mapper 2 implementation
**
** $Id: $
*/

#include "mmc/map002.h"


void map002::write(uint32 /*offset*/, uint8 value)
{
   prgbank(16, 0x8000, value);
}


void map002::dispatchWrite(void *userdata, uint32 offset, uint8 value)
{
   ((map002 *) userdata)->write(offset, value);
}


static nes6502_memwrite map002_memwrite[] = 
{
   { 0x8000, 0xffff, map002::dispatchWrite, NULL },
   { (uint32) -1, (uint32) -1, NULL, NULL }
};



map002::map002(machine *pMachine, mapperInfo *pInfo)
: mmc(pMachine, pInfo)
{
   mpName = "UNROM";
   mpMemWrite = map002_memwrite;
}
