/*
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
**
**
** map003.cpp
**
** mapper 3 implementation
**
** $Id: $
*/

#include "mmc/map003.h"


void map003::write(uint32 /*offset*/, uint8 value)
{
   chrbank(8, 0x0000, value);
}


void map003::dispatchWrite(void *userdata, uint32 offset, uint8 value)
{
   ((map003 *) userdata)->write(offset, value);
}


static nes6502_memwrite map003_memwrite[] = 
{
   { 0x8000, 0xffff, map003::dispatchWrite, NULL },
   { (uint32) -1, (uint32) -1, NULL, NULL }
};


map003::map003(machine *pMachine, mapperInfo *pInfo)
: mmc(pMachine, pInfo)
{
   mpName = "CNROM";
   mpMemWrite = map003_memwrite;
}
