//
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
//
//
// map004.h
//
// mapper 4 definition
//
// $Id: $
//

#ifndef _MAP004_H_
#define _MAP004_H_

#include "mmc.h"

class map004 : public mmc
{
public:
   map004(machine *pMachine, mapperInfo *pInfo);

   void  getState(SnssMapperBlock *pState);
   void  setState(SnssMapperBlock *pState);

   void  reset(bool hard_reset);
   
   void  hblank(bool in_vblank);

   static void dispatchWrite(void *userdata, uint32 offset, uint8 value);

protected:
   uint8   mReg;
   uint8   mCommand;
   uint16  mVROMBase;
   int     mIRQCounter;
   int     mIRQLatch;
   bool    mIRQEnabled;

   void  resetRegs();

   void  write(uint32 offset, uint8 value);
};

#endif // !_MAP004_H_
