/*
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
**
**
** map007.cpp
**
** mapper 7 implementation
**
** $Id: $
*/

#include "mmc/map007.h"
#include "nes.h"
#include "ppu.h"


void map007::write(uint32 /*offset*/, uint8 value)
{
   prgbank(32, 0x8000, value);
   int mir = (value >> 4) & 1;
   ((NES *) mpMachine)->getPPU()->mirror(mir, mir, mir, mir);
}


void map007::dispatchWrite(void *userdata, uint32 offset, uint8 value)
{
   ((map007 *) userdata)->write(offset, value);
}
   
   
static nes6502_memwrite map007_memwrite[] = 
{
   { 0x8000, 0xffff, map007::dispatchWrite, NULL },
   { (uint32) -1, (uint32) -1, NULL, NULL }
};


map007::map007(machine *pMachine, mapperInfo *pInfo)
: mmc(pMachine, pInfo)
{
   mpName = "AOROM";
   mpMemWrite = map007_memwrite;
}


void map007::reset(bool hard_reset)
{
   mmc::reset(hard_reset);

   prgbank(32, 0x8000, 0);
}
