/*
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
**
**
** map008.cpp
**
** mapper 8 implementation
**
** $Id: $
*/

#include "mmc/map008.h"


void map008::write(uint32 /*offset*/, uint8 value)
{
   prgbank(16, 0x8000, value >> 3);
   chrbank(8, 0x0000, value & 7);
}


void map008::dispatchWrite(void *userdata, uint32 offset, uint8 value)
{
   ((map008 *) userdata)->write(offset, value);
}


static nes6502_memwrite map008_memwrite[] = 
{
   { 0x8000, 0xffff, map008::dispatchWrite, NULL },
   { (uint32) -1, (uint32) -1, NULL, NULL }
};


map008::map008(machine *pMachine, mapperInfo *pInfo)
: mmc(pMachine, pInfo)
{
   mpName = "FFE F3xxx";
   mpMemWrite = map008_memwrite;
};


void map008::reset(bool hard_reset)
{
   mmc::reset(hard_reset);

   prgbank(16, 0x8000, 0);
   prgbank(16, 0xc000, 1);
   chrbank(8, 0x0000, 0);
}
