//
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
//
//
// palette.h
//
// palette generation routines
//
// $Id: $
//

#ifndef _PALETTE_H_
#define _PALETTE_H_

#include "typedefs.h"

struct color
{
   uint8 r, g, b;
};

const float defaultHue = 334.0f;
const float defaultTint = 0.4f;

class palette
{
public:
   enum
   {
      NUM_PALETTE_COLORS   = 64
   };

   palette();

   void  generate(color pPalette[NUM_PALETTE_COLORS]);

   void  setHue(float hue);
   void  setTint(float tint);
   float getHue() const;
   float getTint() const;

private:
   float mHue;
   float mTint;
};

inline void palette::setHue(float hue)
{
   mHue = hue;
}

inline void palette::setTint(float tint)
{
   mTint = tint;
}

inline float palette::getHue() const
{
   return mHue;
}

inline float palette::getTint() const
{
   return mTint;
}

#endif // !_PALETTE_H_
